#include "mouseapiexample.h"
#include "gametypes/Gametype.h"

namespace orxonox
{

RegisterClass(MouseAPIExample);

MouseAPIExample::MouseAPIExample(Context* context) : ControllableEntity(context)
{
    RegisterObject(MouseAPIExample);
    //this->getGametype()->getPlayers().begin()->first->getControllableEntity()...


}

MouseAPIExample::~MouseAPIExample()
{
    if(MouseAPI::isActive())
        MouseAPI::getInstance().deactivate();

}

void MouseAPIExample::testfunction(MouseButtonCode::ByEnum mouse)
{
    float randomnumber = (rand()%100 + 1)/100.0;
    this->setScale(randomnumber);
    orxout() << "Blah\n";

}

void MouseAPIExample::XMLPort(Element& xmlelement, XMLPort::Mode mode)
{
    SUPER(MouseAPIExample, XMLPort, xmlelement, mode);
    MouseAPI::getInstance().activate();
    MouseAPI::getInstance().addClickableObject(this->getWorldPosition(),10,std::list<MouseButtonCode::ByEnum>{MouseButtonCode::Left},[this](MouseButtonCode::ByEnum mouse){this->testfunction(mouse);});
}
}
